Ticket #4322 (closed defect: fixed)

Opened 8 years ago

Last modified 7 years ago

イベント参加者一覧のニックネームが違う

Reported by: boze Assigned to: imamura623
Priority: minor Milestone: OpenPNE2.14.4
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.17 Cc:

Description (Last modified by imamura623)

■現象

イベント参加メンバー一覧ページ(page_c_event_member_list)でイベントに41人以上の参加者がいる場合、45番目から50番目の参加者のニックネームが40番目から44番目のメンバーと同じものになってしまう。

■原因

参加者リストテーブルのループのスタートの値が適切でなかったっため

■修正内容

参加者リストテーブルのループのスタートの値を40から45へ修正

■関連情報

イベント参加者が50人以上いる場合に、最下行(46から50人目)のニックネームが一つ上の行(41から45人目)のニックネームが表示される

c_event_member_list.tpl 145行目

({t_loop from=$c_event_member_list start=40 num=5})


({t_loop from=$c_event_member_list start=45 num=5})

Attachments

4322.jpg (37.7 kB) - added by imamura623 on 01/14/10 16:29:00.
メンバー名が重複している画像

Change History

01/14/10 16:28:20 changed by imamura623

  • component changed from core to 指定しない.
  • milestone set to OpenPNE2.12.17.

再現確認しました。

01/14/10 16:29:00 changed by imamura623

  • attachment 4322.jpg added.

メンバー名が重複している画像

01/19/10 18:58:50 changed by imamura623

  • owner changed from nobody to kiwa.

01/20/10 17:55:24 changed by imamura623

  • keywords set to OpenPNE2.12.17.
  • owner changed from kiwa to imamura623.
  • version changed from 2.12.x to 2.12.x & 2.14.x.
  • status changed from new to assigned.
  • milestone changed from OpenPNE2.12.17 to OpenPNE2.14.3.

01/20/10 17:57:19 changed by imamura623

  • milestone changed from OpenPNE2.14.3 to OpenPNE2.14.4.

01/20/10 18:25:35 changed by imamura623

  • keywords changed from OpenPNE2.12.17 to OpenPNE2.12.17 確認中.
  • description changed.

修正しました。

01/22/10 14:30:32 changed by itoda

確認しました。
2.12,2.14どちらも大丈夫でした。

01/26/10 19:01:06 changed by fukamachi

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。

01/28/10 19:25:49 changed by imamura623

  • keywords set to OpenPNE2.12.17.